Openi DeveloperDeveloper

Queue an uploaded file for processing

POST
/v1/ingestions/{ingestion_id}/complete
AuthorizationBearer <token>

In: header

Path Parameters

ingestion_id*string
Match^-?\d+$

Response Body

application/json

application/problem+json

curl -X POST "https://example.com/v1/ingestions/string/complete"
{  "id": -9007199254740991,  "dataset_id": "string",  "status": "awaiting_upload",  "source": "api",  "format": "ndjson",  "error_policy": "reject_all",  "stats": {    "rows_total": -9007199254740991,    "rows_valid": -9007199254740991,    "rows_rejected": -9007199254740991,    "rows_inserted": -9007199254740991,    "rows_duplicate": -9007199254740991,    "errors_truncated": true  },  "error": "string",  "errors_report_url": "string",  "upload_url": "string",  "created_at": "2019-08-24T14:15:22Z",  "started_at": "2019-08-24T14:15:22Z",  "finished_at": "2019-08-24T14:15:22Z"}